<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>
		
	</title>
</head>
<body>

<em>Science and Engineering Ethics (2001) 7, 231-238</em>
<hr>
<p>
<h1>Software Engineering Code of Ethics and<br>
 Professional Practice</h1>
	

	<h3> IEE-CS/ACM Join Task Force on Software Engineering Ethics and Professional <br> Practices </h3>
		<hr>
		<p>
		<strong>Keywords:</strong> codes of ethics, professional responsibility, software engineering 
		</p>
<h4>PREAMBLE</h4>

<p >
	The short version of the code summarizes aspirations at a high level of abstraction.The clauses that<br> are included in the full version give examples and details of how these aspiration change the way we<br> act as software engineering professionals. Without the aspirations, the details can become legalistic<br> and tedious; without the details, the aspirations can become high sounding but empty; together,<br> the aspirations and the details from a cohesive code.</p>
	<p>
		Software engineerings shall commit themselves to making the analysis, specification, design, development, <br>testing, and maintenance of software a beneficial and respected profession. In accoradance with their commitment <br>to the healt, safety, and welfae of the public soft engineers shall adhere to the following eight Principles:
	</p>

<h4>PRINCIPLES</h4>
<ol>
	<li><em>Public.</em>Software engineers shall act consistently with public interest.</li>
	<li><em>Client and Employer.</em>	Software engineers shall act in a manner that is the best interest of their <br>client and employer, consistent with the public interest</li>
	<li><em>Product.</em>Software engineers shall ensure that their products and related modifactions meet the <br>highest professional standards possible.</li>
	<li><em>Judgement.</em>Software engineers shall maintain integrity and independence in their professional <br>judgement</li>
	<li><em>Management.</em>Software engineering managers and leaders shall subscribe to and promote an <br> ethical
	approach to the management of software development and maintenance.</li>
	<li><em>Profession.</em>Software engineering shall advance the integrity and reputation of the profession<br> consistent with the public interest.</li>
	<li><em>Colleagues.</em>Software engineers shall fair tgo and supportive of the colleagues.</li>
	<li><em>Self.</em>Software engineers shall participate in lifelong learning regarding the practice of their <br> profession and shall promote an ethical approact to the practice of profession</li>
</ol>

</pre>
</body>
</html>